package com.olmedos.main;

import com.olmedos.controler.CiudadControlador;
import com.olmedos.entidad.Person;
import com.olmedos.entidad.Phone;
import java.util.ArrayList;
import java.util.List;

public class Run {

    public static void main(String[] args) {
        
        Person persona1 = new Person();

        Phone telefono1 = new Phone("1511111111");
        Phone telefono2 = new Phone("1522222222");
        Phone telefono3 = new Phone("1533333333");

        List<Phone> listaPhone = new ArrayList<>();

        listaPhone.add(telefono1);
        listaPhone.add(telefono2);
        listaPhone.add(telefono3);
        persona1.setPhones(listaPhone);

        new CiudadControlador().alta(persona1);

        Person persona2 = new CiudadControlador().devolverPersonXId(1);

        System.out.println("LA persona es: " + persona2.getId());

        persona2.getPhones().stream().forEach((phone) -> {
            System.out.println("El telefono es: " + phone.getClass());
        });

    }

}
